Package org.apache.aries.jax.rs.rest.management.schema

## Class ExtensionsSchema

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.schema.ExtensionsSchema

    public class ExtensionsSchema
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ExtensionsSchema.Extension`

### Field Summary

Fields
`List<ExtensionsSchema.Extension>` `extensions`

### Constructor Summary

Constructors
`ExtensionsSchema()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExtensionsSchema` `build​(Set<org.apache.aries.component.dsl.CachingServiceReference<org.osgi.service.rest.RestApiExtension>> extensions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### extensions

    public List<ExtensionsSchema.Extension> extensions

### Constructor Detail

#### ExtensionsSchema

    public ExtensionsSchema()

### Method Detail

#### build

    public static ExtensionsSchema build​(Set<org.apache.aries.component.dsl.CachingServiceReference<org.osgi.service.rest.RestApiExtension>> extensions)